Better Dependency Checking

Registered by Jonathan Thomas on 2009-06-05

When OpenShot loads up, we need to have a more elaborate dependency check. Right now we have no error handling around our import statements, and thus... OpenShot will just break if you are missing a library. We need to gracefully tell the user to install the missing dependencies, instead of un-handled errors.

Check for these libraries:
mlt, gtk, goocanvas

For example:

try:
   import mlt
except:
   # Show friendly error "Sorry, but you need to install MLT"

Blueprint information

Status:
Not started
Approver:
Jonathan Thomas
Priority:
Low
Drafter:
Jonathan Thomas
Direction:
Approved
Assignee:
None
Definition:
Approved
Series goal:
None
Implementation:
Not started
Milestone target:
None

Related branches

Sprints

Whiteboard

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.